{ config, lib, ... }:
{
  boot.loader = lib.mkIf config.boot.loader.grub.enable {
    grub = {
      efiSupport = true;
      efiInstallAsRemovable = true;
      device = "nodev";
    };
    efi.canTouchEfiVariables = false;
  };
}
